Package ghidra.trace.database.listing

# Interface InternalTraceBaseDefinedUnitsView<T extends TraceCodeUnit>

All Superinterfaces:
  `InternalBaseCodeUnitsView<T>`, `TraceBaseCodeUnitsView<T>`, `TraceBaseDefinedUnitsView<T>`

All Known Subinterfaces:
  `InternalTraceDefinedDataView`

All Known Implementing Classes:
  `DBTraceDefinedDataMemoryView`, `DBTraceDefinedDataView`, `DBTraceDefinedUnitsMemoryView`, `DBTraceDefinedUnitsView`, `DBTraceInstructionsMemoryView`, `DBTraceInstructionsView`

public interface InternalTraceBaseDefinedUnitsView<T extends TraceCodeUnit> extends TraceBaseDefinedUnitsView<T>, InternalBaseCodeUnitsView<T>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `clear(TracePlatform platform, Lifespan span, Register register, TaskMonitor monitor)`
  Clear the units contained within the given span and platform register

  ### Methods inherited from interface ghidra.trace.database.listing.InternalBaseCodeUnitsView

  `get, getContaining, getForRegister, getSpace`

  ### Methods inherited from interface ghidra.trace.model.listing.TraceBaseCodeUnitsView

  `containsAddress, coversRange, coversRange, get, get, get, get, get, get, getAddressSetView, getAddressSetView, getAfter, getAt, getBefore, getCeiling, getContaining, getContaining, getFloor, getForRegister, getIntersecting, getTrace, intersectsRange, intersectsRange, size`

  ### Methods inherited from interface ghidra.trace.model.listing.TraceBaseDefinedUnitsView

  `clear, clear`

- ## Method Details

  - ### clear

    default void clear(TracePlatform platform, Lifespan span, Register register, TaskMonitor monitor) throws CancelledException
    Description copied from interface: `TraceBaseDefinedUnitsView`
    Clear the units contained within the given span and platform register

    Any units alive before the given span are truncated instead of deleted.

    Specified by:
      `clear` in interface `TraceBaseDefinedUnitsView<T extends TraceCodeUnit>`
    Parameters:
      `platform` - the platform whose language defines the register
      `span` - the span to clear
      `register` - the register
      `monitor` - a monitor for progress and cancellation
    Throws:
      `CancelledException` - if the clear is cancelled